petsc-3.4.2 2013-07-02

# TSAlphaSetAdapt

sets the time step adaptativity and acceptance test routine

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSAlphaSetAdapt(TS ts,TSAlphaAdaptFunction adapt,void *ctx)

This function allows to accept/reject a step and select the next time step to use.

Not Collective

### Input Parameter

| ts | - timestepping context
| adapt | - user-defined adapt routine
| ctx | - [optional] user-defined context for private data for the adapt routine (may be NULL)

### Calling sequence of adapt

       adapt (TS ts,PetscReal t,Vec X,Vec Xdot,

               PetscReal *next_dt,PetscBool *accepted,void *ctx);

Level:intermediate
Location:src/ts/impls/implicit/alpha/alpha.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages